Name:          volpack
Version:       1.0c7
Release:       3%{?dist}
Summary:       Portable library for fast volume rendering
Group:         System Environment/Libraries
License:       BSD
URL:           http://amide.sourceforge.net
Source0:       http://downloads.sourceforge.net/amide/%{name}/%{name}-%{version}.tgz
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: m4

%description 
VolPack is a portable library of fast volume rendering algorithms that
produce high-quality images.


%package       devel
Summary:       Shared libraries and header files for development using volpack
Group:         Development/Libraries
Requires:      volpack = %{version}-%{release}

%description   devel
The volpack-devel package contains the header files and shared libraries
necessary for developing programs using the volpack volume rendering 
library.


%package       doc
Summary:       Documentation and examples for help using volpack
Group:         Documentation
Requires:      volpack = %{version}-%{release}

%description   doc
The volpack-doc package contains docs and examples helpful for developing
programs using the volpack volume rendering library.


%prep
%setup -q


%build
%configure --disable-dependency-tracking --disable-static
# no %{?_smp_mflags} because parallel builds will fail very often
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# remove doc and example files we don't want to package
rm -f doc/vp_userguide..pdf doc/Makefile*
pushd examples
make clean
rm -f Makefile.*
chmod 644 test.csh
popd


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_mandir}/man3/*.3*
%{_libdir}/*.so.*


%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so


%files doc
%defattr(-,root,root,-)
%doc doc/ examples/


%changelog
* Sun Oct 04 2009 Sandro Mathys <red at fedoraproject.org> - 1.0c7-3
- Disabled parallel building due to problems

* Sat Oct 03 2009 Sandro Mathys <red at fedoraproject.org> - 1.0c7-2
- Fixed some bits and added a doc subpackage

* Sat Oct 03 2009 Sandro Mathys <red at fedoraproject.org> - 1.0c7-1
- initial build

